﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Docking;

namespace DockingWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Docking_PreviewShowCompass(object sender, PreviewShowCompassEventArgs e)
        { 
            if (e.TargetGroup != null)
            {
                var panes = (e.TargetGroup as RadPaneGroup).Items;

                if (panes != null && panes.Count > 0 && (panes[0] as RadPane).IsFloating)
                {
                    IsIndicatorsVisible(e, false);
                }
            }
        }
  
        private void IsIndicatorsVisible(PreviewShowCompassEventArgs e, bool isVisible)
        {
            e.Compass.IsLeftIndicatorVisible = isVisible;
            e.Compass.IsTopIndicatorVisible = isVisible;
            e.Compass.IsRightIndicatorVisible = isVisible;
            e.Compass.IsBottomIndicatorVisible = isVisible;
            e.Compass.IsCenterIndicatorVisible = isVisible;
        }
    }
}